Bug 1898117 - python-pyglet fails to build with Python 3.10: ModuleNotFoundError: No module named 'parser'
Summary: python-pyglet fails to build with Python 3.10: ModuleNotFoundError: No module...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: python-pyglet
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Petr Viktorin
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: PYTHON3.10
TreeView+ depends on / blocked
 
Reported: 2020-11-16 12:52 UTC by Miro Hrončok
Modified: 2020-11-26 12:57 UTC (History)
5 users (show)

Fixed In Version: python-pyglet-1.5.11-1.fc34
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-11-26 12:57:42 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github pyglet pyglet issues 312 0 None open pyglet.text.formats.attributed will break in Python 3.10 2020-11-24 09:42:20 UTC

Description Miro Hrončok 2020-11-16 12:52:16 UTC
python-pyglet fails to build with Python 3.10.0a2.

pyglet/text/formats/attributed.py:42: in <module>
    import parser
E   ModuleNotFoundError: No module named 'parser'

The parser module was remove from Python 3.10: See https://bugs.python.org/issue40939


For the build logs, see:
https://copr-be.cloud.fedoraproject.org/results/@python/python3.10/fedora-rawhide-x86_64/01758394-python-pyglet/

For all our attempts to build python-pyglet with Python 3.10, see:
https://copr.fedorainfracloud.org/coprs/g/python/python3.10/package/python-pyglet/

Testing and mass rebuild of packages is happening in copr. You can follow these instructions to test locally in mock if your package builds with Python 3.10:
https://copr.fedorainfracloud.org/coprs/g/python/python3.10/

Let us know here if you have any questions.

Python 3.10 will be included in Fedora 35. To make that update smoother, we're building Fedora packages with early pre-releases of Python 3.10.
A build failure prevents us from testing all dependent packages (transitive [Build]Requires), so if this package is required a lot, it's important for us to get it fixed soon.
We'd appreciate help from the people who know this package best, but if you don't want to work on this now, let us know so we can try to work around it on our side.

Comment 1 Petr Viktorin 2020-11-16 14:00:36 UTC
Looks like `ast.parse` can be used instead.
Let me know if this issue becomes a priority.

Comment 2 Miro Hrončok 2020-11-16 14:13:09 UTC
The following Fedora packages seem to (transitively) BR pyglet (I guess trough sympy):

dolfin
libpoly
octave-symbolic
python-brian2
python-ffc
python-fiat
python-nipy
python-numpoly
python-pypet
python-texext
python-trimesh
sagemath


We haven't managed to build sympy yet, so this is not a priority yet.

Comment 3 Petr Viktorin 2020-11-19 17:15:17 UTC
Reported upstream. The current way things are done is pretty iffy and possibly dangerous; hopefully they'll agree to a bit of backwards incompatibility in this (obscure, IMO) feature.

Comment 4 Petr Viktorin 2020-11-24 10:35:31 UTC
It's fixed in upstream.


Note You need to log in before you can comment on or make changes to this bug.